Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.code

# Class StackEntry

java.lang.Object
org.jboss.classfilewriter.code.StackEntry

public class StackEntry extends Object
represents the state of the stack or the local variable array.

This is written out as part of the StackMap attribute

Author:
  Stuart Douglas

## Constructor Summary

Constructors
Constructor
Description
`StackEntry(StackEntryType type, String descriptor)`
`StackEntry(StackEntryType type, String descriptor, int newInstructionLocation)`
`StackEntry(StackEntryType type, String descriptor, ConstPool pool)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
`int`
`getNewInstructionLocation()`
`StackEntryType`
`getType()`
`boolean`
`isWide()`
`static StackEntry`
`of(String descriptor, ConstPool pool)`
`String`
`toString()`
`void`
`write(DataOutputStream dstream)`
writes the entry to the stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StackEntry

public StackEntry(StackEntryType type, String descriptor)

### StackEntry

public StackEntry(StackEntryType type, String descriptor, ConstPool pool)

### StackEntry

public StackEntry(StackEntryType type, String descriptor, int newInstructionLocation)

## Method Details

### getDescriptor

public String getDescriptor()

### getNewInstructionLocation

public int getNewInstructionLocation()

### getType

public StackEntryType getType()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### of

public static StackEntry of(String descriptor, ConstPool pool)

### isWide

public boolean isWide()

### write

public void write(DataOutputStream dstream) throws IOException
writes the entry to the stream

Throws:
  `IOException`